# Présentation

nutools est un ensemble d'utilitaires pour faciliter l'utililisation des Unixes,
en particulier Linux, mais aussi MacOS X et Cygwin.

C'est aussi une librairie de scripts shell réutilisables ([ulib]()) et une
librairie de modules python réutilisables (pyulib)

# Prérequis

Python >= 2.3 et GNU Awk sont requis pour que toutes les fonctionnalités soient
supportées.
* Sous Linux, lors de l'installation du package, les meilleurs efforts sont fait
  pour que ces packages soient installés.
* Sous MacOSX, il faut installer manuellement Fink, DarwinPorts ou Homebrew

#  Outils

Chaque outil contient une aide intégrée. Il suffit de lancer l'outil avec
l'argument `--help` pour avoir une aide détaillée.

* Déploiement d'un répertoire ou d'une archive
    * [uinst](tools/uinst): Déploiement local
    * [mkusfx](tools/mkusfx): Faire une archive auto-installable avec uinst
    * [ruinst](tools/ruinst): Déploiement distant avec uinst
    * [runs](tools/runs): Lancer un script avec le protocole RUNS
    * [rruns](tools/rruns): Déploiement distant avec runs
* Librairie réutilisable de scripts shell
    * [uinc](tools/uinc): Dépliage des inclusions dans un fichier
    * [ulibsync](tools/ulibsync): Faire une copie locale pour un projet de ulib et/ou pyulib
* Autres outils
    * [udir](tools/udir): Gestion des paramètres d'un répertoire. Ces paramètres sont entre
      autres utilisés par uinst et uinc.

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary